Moodle for mobile

Moodle mobile custom apps problem

 
Picture of Nima Farahbakhsh
Moodle mobile custom apps problem
 

Hi

I want to create Moodle mobile custom apps, I did the steps according to in the documentation at https://docs.moodle.org/dev/Setting_up_your_development_environment_for_Moodle_Mobile_2 , but in Step "Open the app in the browser" and executing command "ionic serve" in browser, the Typescript error occurs. To fix this problem, I changed Typescript version, but after the changing of it, dependency error happens. I need your help in solving this problem.


 
Average of ratings: -
Picture of Juan Leyva
Re: Moodle mobile custom apps problem
Core developersMoodle HQParticularly helpful MoodlersPlugin developersTesters

Hi,

maybe you should use the typescript support forums or stackoverflow because it seems a specific bug in Windows (maybe Angular, maybe Typescript) not related to the mobile app. 

I'd recommend you to use Linux or Mac for development

 
Average of ratings: -
Picture of Samuel Domingues
Re: Moodle mobile custom apps problem
 

I had a similar problem, edit tsconfig.json file and add this in the compilerOptions:


"typeRoots": [
"node_modules/@types"
]

 
Average of ratings: -
Picture of Nima Farahbakhsh
Re: Moodle mobile custom apps problem
 

"typeRoots": [
"node_modules/@types"
]

I added the above code, but a error is displayed. the error has been attached.




 
Average of ratings: -
Picture of Dani Palou
Re: Moodle mobile custom apps problem
Core developersMoodle HQParticularly helpful MoodlersPlugin developers

Hi Nima,

sorry for the delay in answering, it's been some crazy months lately.

Those errors are displayed when you have installed a wrong version of local-notifications (for some reason, in some cases npm restores a wrong version :/).

Please make sure you have this version:

@ionic-native/local-notifications@4.5.2

Cheers,

Dani

 
Average of ratings: -